/*
 * $Id: gcc-builtin.h,v 1.3 2000/05/28 08:20:04 athena Exp $
 */

/*
 * Copyright (c) 2000 Massachusetts Institute of Technology
 * Copyright (c) 2000 Matteo Frigo
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * this file contains definitions of variables that are built
 * into gcc but not into cilk2c.
 */

__nooutput__ typedef void *__builtin_va_list;

extern __nooutput__ const char *__FUNCTION__;
extern __nooutput__ const char *__PRETTY_FUNCTION__;
extern __nooutput__ const char *__func__;

extern __nooutput__ int __builtin_constant_p();
extern __nooutput__ void *__builtin_alloca();
extern __nooutput__ int __builtin_abs(int);
extern __nooutput__ float __builtin_fabsf(float);
extern __nooutput__ double __builtin_fabs(double);
extern __nooutput__ long __builtin_labs(long);
extern __nooutput__ void *__builtin_saveregs();
extern __nooutput__ void *__builtin_memcpy();
extern __nooutput__ void *__builtin_memset();
extern __nooutput__ int __builtin_classify_type();
extern __nooutput__ void *__builtin_next_arg();
extern __nooutput__ int __builtin_args_info();
